#! /bin/perl


sub analyzeFile {

    my($fID, $eName) = @_;
    $fName = sprintf "output-%d-%s", $fID, $eName;
    printf "%s,%d", $eName, $fID;
    open IFILE, ("<".$fName) or die $!;
    $max = -1;
    $uTime = -1;
    while ($line=<IFILE>){
	if ($line =~ m/MAX\s*VALUE\s*FOUND\s*=\s*(.*)\n/){
	    $max = $1;
	}
	if ($line =~ m/User:\s*(\S*)\s/){
	    $uTime=$1;
	}
	
    }
    printf ",%f,%f\n", $max, $uTime;

    close IFILE;
}

print "Error, #Faults, MaxConc, Time (BMC) \n";

analyzeFile 0,"original";
analyzeFile 1,"original";
analyzeFile 2,"original";
analyzeFile 4,"original";

analyzeFile 0,"modeSelectionError";
analyzeFile 1,"modeSelectionError";
analyzeFile 2,"modeSelectionError";
analyzeFile 4,"modeSelectionError";


analyzeFile 0,"unitError";
analyzeFile 1,"unitError";
analyzeFile 2,"unitError";
analyzeFile 4,"unitError";

analyzeFile 0,"LbError";
analyzeFile 1,"LbError";
analyzeFile 2,"LbError";
analyzeFile 4,"LbError";


analyzeFile 0,"KgError";
analyzeFile 1,"KgError";
analyzeFile 2,"KgError";
analyzeFile 4,"KgError";


