#! /usr/bin/perl


$autoCmd = "time ../bin/autoSm -sim -d 100 -numSim 1000 contMode.a";

open FILESTORUN,"<paramsToRun" or die "No files to Run \n";

@filesToRun = <FILESTORUN>;

foreach $paramFile (@filesToRun) {
    chomp $paramFile;
    printf "Running simulations with parameter file %s \n", $paramFile;
    $cmdToRun = sprintf("%s %s.params > %s.sim.out", $autoCmd, $paramFile,$paramFile);
    printf "%s \n", $cmdToRun;
    system($cmdToRun);
}

close FILESTORUN;
